package com.hp.user.service.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.hp.user.client.entity.Result;
import com.hp.user.client.service.MessageService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 短信
 * @author yeqid
 *
 */
@Api(tags="短信")
@RestController
@RequestMapping("/area")
public class MessageController {
	
	@Autowired
	private MessageService messageService;
	
	
	/**
     * 发送验证码
     * @param phoneNumber
     */
    @RequestMapping("/sendVerificationCode")
    @ApiOperation(value = "发送验证码", notes = "发送验证码", httpMethod = "POST")
    public Result sendVerificationCode(String phoneNumber) {
    	return messageService.sendVerificationCode(phoneNumber);
    }
}
