package com.hp.user.service.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 用户地址信息
 * </p>
 *
 * @author 王怡静
 * @since 2020-11-20
 */

//@EqualsAndHashCode(callSuper = false)
//@Accessors(chain = true)
@TableName("tb_address")
public class Address implements Serializable {

    /**
     * 地址Id
     */
    @TableId(value = "address_id")
    private String addressId;
    /**
     * 所属Id
     */
    private String ownerId;
    /**
     * 地址
     */
    private String address;
    /**
     * 省份编码
     */
    private String provinceCode;
    /**
     * 城市编码
     */
    private String cityCode;
    /**
     * 区县编码
     */
    private String countCode;
    /**
     * 街道编码
     */
    private String streetCode;
    /**
     * 维度
     */
    private BigDecimal longitude;
    /**
     * 经度
     */
    private BigDecimal latitude;
    /**
     * 是否被删除 0:正常；1:被删除
     */
    private Short sysDeleted;
    /**
     * 是否为默认地址 0:否；1:是
     */
    private Short sysDefault;
    /**
     * 地址标签；0:家；1:公司
     */
    private Short tag;
    /**
     * 创建时间
     */
    private Date sysCreateTime;
    /**
     * 创建用户Id
     */
    private String sysCreator;
    /**
     * 更新时间
     */
    private Date sysUpdateTime;
    /**
     * 更新用户Id
     */
    private String sysUpdater;

    public Address(){}

    public Address(String addressId, String ownerId, String address, String provinceCode, String cityCode, String countCode, String streetCode, BigDecimal longitude, BigDecimal latitude, Short sysDeleted, Short sysDefault, Short tag, Date sysCreateTime, String sysCreator, Date sysUpdateTime, String sysUpdater) {
        this.addressId = addressId;
        this.ownerId = ownerId;
        this.address = address;
        this.provinceCode = provinceCode;
        this.cityCode = cityCode;
        this.countCode = countCode;
        this.streetCode = streetCode;
        this.longitude = longitude;
        this.latitude = latitude;
        this.sysDeleted = sysDeleted;
        this.sysDefault = sysDefault;
        this.tag = tag;
        this.sysCreateTime = sysCreateTime;
        this.sysCreator = sysCreator;
        this.sysUpdateTime = sysUpdateTime;
        this.sysUpdater = sysUpdater;
    }

    public String getAddressId() {
        return addressId;
    }

    public void setAddressId(String addressId) {
        this.addressId = addressId;
    }

    public String getOwnerId() {
        return ownerId;
    }

    public void setOwnerId(String ownerId) {
        this.ownerId = ownerId;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getProvinceCode() {
        return provinceCode;
    }

    public void setProvinceCode(String provinceCode) {
        this.provinceCode = provinceCode;
    }

    public String getCityCode() {
        return cityCode;
    }

    public void setCityCode(String cityCode) {
        this.cityCode = cityCode;
    }

    public String getCountCode() {
        return countCode;
    }

    public void setCountCode(String countCode) {
        this.countCode = countCode;
    }

    public String getStreetCode() {
        return streetCode;
    }

    public void setStreetCode(String streetCode) {
        this.streetCode = streetCode;
    }

    public BigDecimal getLongitude() {
        return longitude;
    }

    public void setLongitude(BigDecimal longitude) {
        this.longitude = longitude;
    }

    public BigDecimal getLatitude() {
        return latitude;
    }

    public void setLatitude(BigDecimal latitude) {
        this.latitude = latitude;
    }

    public Short getSysDeleted() {
        return sysDeleted;
    }

    public void setSysDeleted(Short sysDeleted) {
        this.sysDeleted = sysDeleted;
    }

    public Short getSysDefault() {
        return sysDefault;
    }

    public void setSysDefault(Short sysDefault) {
        this.sysDefault = sysDefault;
    }

    public Short getTag() {
        return tag;
    }

    public void setTag(Short tag) {
        this.tag = tag;
    }

    public Date getSysCreateTime() {
        return sysCreateTime;
    }

    public void setSysCreateTime(Date sysCreateTime) {
        this.sysCreateTime = sysCreateTime;
    }

    public String getSysCreator() {
        return sysCreator;
    }

    public void setSysCreator(String sysCreator) {
        this.sysCreator = sysCreator;
    }

    public Date getSysUpdateTime() {
        return sysUpdateTime;
    }

    public void setSysUpdateTime(Date sysUpdateTime) {
        this.sysUpdateTime = sysUpdateTime;
    }

    public String getSysUpdater() {
        return sysUpdater;
    }

    public void setSysUpdater(String sysUpdater) {
        this.sysUpdater = sysUpdater;
    }
}
